from equipePedagogique import EquipePedagogique
from equipePedagogique import PersonnelIUT, Prof, Administratif

if __name__ == '__main__':
    equ = EquipePedagogique('Equipe Pedagogique IUT')
    print(equ)
    p1 = Prof("Jean-Paul","Jamont")
    p1.enseigne("M1101")
    p1.enseigne("M3101")
    p1.emmenage("C102")
    equ.rajoute(p1)
    print(equ)
    p2 = Prof("Fred","Michel","CDI")
    p2.emmenage("C103")
    equ.rajoute(p2)
    print(equ)
    p2.enseigne("M1101")
    p3 = Prof("Chris","Duc","PRAG")
    p3.emmenage("C106")
    equ.rajoute(p3)
    print(equ)
    a1 = Administratif("Christine","Galdon")
    a1.emmenage("C115")
    equ.rajoute(a1)
    p1.enseignePlusRien()
    print(equ)
    a1.setPoste('secrétaire R&T')
    print(equ)
    a=input("fini : appuyez sur une touche!")
